Create Coupon Code
Create a new code for the promotion.
Note: The default rate limit for this endpoint is 40 concurrent requests.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.
For a list of API status codes, see API Status Codes.
Path parameters
promotion_id
The ID of the associated promotion.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
code
A unique code that can be used to manually apply a discount. Only letters, numbers, white spaces, underscores, and hyphens are allowed.
max_uses
The maximum number of times you can use this coupon code. The default value is 0, which represents unlimited uses. The parent promotion’s max_uses field overrides the coupon code’s max_uses field.
max_uses_per_customer
The maximum number of times a specific customer can use this coupon code. The default value is 0, which represents unlimited uses.
Response
The requested coupon code.
data
A CouponCode object encapsulates attributes of a coupon code.
meta
Empty meta object, which may be used at a later time.